// $Id: IoConstants.java,v 1.5 2004/03/05 17:05:44 m31 Exp $
//
// This file is part of the program suite "Principia Mathematica II"
// which is a working prototype for the main project:
// "Hilbert II" - http://www.qedeq.org
//
// Copyright 2001-2004  Michael Meyling <mime@qedeq.org>.
//
// "Principia Mathematica II" is free software; you can redistribute
// it and/or modify it under the terms of the GNU General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.

package com.meyling.principia.io;


/**
 * This class provides constants of this package.
 *
 * @version $Revision: 1.5 $
 * @author  Michael Meyling
 */
public interface IoConstants  {

    static final String QUOTED_STRING
        = "quoted string";

    static final String NULLPOINTER_PARAMETER
        = "nullpointer is not accepted as an parameter";

    static final String NO_LETTER_DIGIT_STRING_FOUND
        = "non empty string containing letters or digits expected";

    static final String NO_QUOTED_STRING
        = "quoted string expected";

    static final String NO_QUOTE_TERMINATION
        = "quoted string was not terminated";

    static final String NO_POSITIVE_INTEGER_FOUND
        = "non negative integer expected";

    static final String NO_LEADING_ZERO_ALLOWED
        = "integer is not allowed to have leading zeros";

    static final String INTEGER_TOO_BIG
        = "integer must be smaller or equal to " + Integer.MAX_VALUE;


}
